Subject: Re: net: cleanup_net is slow

From: Florian Westphal <[email-masked]>
Date: Mon, 24 Apr 2017 14:08:35 +0200

Andrey Konovalov <[email-masked]> wrote:
> On Fri, Apr 21, 2017 at 9:45 PM, Florian Westphal <[email-masked]> wrote:
> > Florian Westphal <[email-masked]> wrote:
> >> Indeed.  Setting net.netfilter.nf_conntrack_default_on=0 cuts time
> >> cleanup time by 2/3 ...
> >>
> >> nf unregister is way too happy to issue synchronize_net(), I'll work on
> >> a fix.
> >
> > I'll test this patch as a start.  Maybe we can also leverage exit_batch
> > more on netfilter side.
> 
> Hi Florian,
> 
> Your patch improves fuzzing speed at least twice, which is a great start!

Great.  I'll try to push the patches i have to nf-next ASAP.